# landscape_type.h File Reference

Types related to the landscape. More...

Go to the source code of this file.

## Typedefs
typedef byte | LandscapeID
| Landscape type.
## Enumerations
enum | LandscapeType { LT_TEMPERATE = 0, LT_ARCTIC = 1, LT_TROPIC = 2, LT_TOYLAND = 3, NUM_LANDSCAPE = 4 }
| Landscape types.
enum | Borders { BORDER_NE = 0, BORDER_SE = 1, BORDER_SW = 2, BORDER_NW = 3, BORDERS_RANDOM = 16 }
| For storing the water borders which shall be retained.

## Detailed Description

Types related to the landscape.

Definition in file landscape_type.h.

## Typedef Documentation

typedef byte LandscapeID

Landscape type.

See also:
  LandscapeType

Definition at line 8 of file landscape_type.h.